## ros-indigo-roch-bringup 1.0.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roch_bringup)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()
catkin_add_env_hooks(25.roch
  SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)


roslaunch_add_file_check(launch)

install(DIRECTORY launch  config param images 
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-roch-bringup (1.0.17-1trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Chen <gchen@soyrobotics.com>  Sun, 27 May 2018 11:09:04 -0000

ros-indigo-roch-bringup (1.0.16-1trusty) trusty; urgency=high

  * Deprecated rocon.
  * Deprecated roch_capabilities.
  * Remap email and website.
  * Remap official web.
  * Contributors: SawYer-Robotics, doudou0114

 -- Carl <carlzhang@soyrobotics.com>  Tue, 27 Mar 2018 16:00:00 -0000

ros-indigo-roch-bringup (1.0.15-1trusty) trusty; urgency=high

  *Support sick lms100.
  *Author: Carl

 -- Carl <wzhang@softrobtech.com>  Wed, 15 Nov 2017 16:00:00 -0000

ros-indigo-roch-bringup (1.0.14-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-indigo-roch-bringup (1.0.13-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 07 May 2017 16:00:00 -0000

ros-indigo-roch-bringup (1.0.12-1trusty) trusty; urgency=high

  * [roch_bringup]: Comment roch_viz due to circle dependencies.

 -- Carl <wzhang@softrobtech.com>  Wed, 29 Mar 2017 16:00:00 -0000

ros-indigo-roch-bringup (1.0.11-1trusty) trusty; urgency=high

  * Add missing dependences: rocon_app_manager.
  * Modified lidar launch files.
  * Add rocon to Roch.

 -- Carl <wzhang@softrobtech.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-indigo-roch-bringup (1.0.10-1trusty) trusty; urgency=high

  * Add Roch Image.
  * Remove unused param events/bumper and events/wheel_drop.
  * Add rocon_concert files, such as concert_minimal.launch and concert_client.launch.
  * Add param files for capabilities.
  * Support Orbbec Astra.
  * Add interactions.
  * Add missing dependences: laser_filters, rgbd_launch, nodelet, robot_sate_publisher, diagnostic_aggregator
  * Modify XML file of rplidar that string of serial_port to /dev/rplidar and frame_id to base_laser.

 -- Carl <wzhang@softrobtech.com>  Thu, 16 Feb 2017 16:00:00 -0000

ros-indigo-roch-bringup (1.0.9-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Mon, 06 Feb 2017 16:00:00 -0000

ros-indigo-roch-bringup (1.0.8-1trusty) trusty; urgency=high

  * Changes permissions of python files.

 -- Carl <wzhang@softrobtech.com>  Sun, 22 Jan 2017 16:00:00 -0000

ros-indigo-roch-bringup (1.0.7-1trusty) trusty; urgency=high

  * Fixed bugs which will cant not find roch_safety_controller.

 -- Carl <wzhang@softrobtech.com>  Mon, 16 Jan 2017 16:00:00 -0000

ros-indigo-roch-bringup (1.0.6-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Mon, 16 Jan 2017 16:00:00 -0000

ros-indigo-roch-bringup (0.0.5-1trusty) trusty; urgency=high

  * Add new env that enable of if use 3d sensor in navigation or not is ROCH_SENSOR_NAV_ENABLE.
  * Modify all structures because of ROCH_SENSOR_NAV_ENABLE.
  * Modify R200.launch.xml for support roch_follower.

 -- Carl <wzhang@softrobtech.com>  Mon, 16 Jan 2017 16:00:00 -0000

ros-indigo-roch-bringup (0.0.4-1trusty) trusty; urgency=high

  * Aupport Rplidar A1
  * Contributors: Carl

 -- Carl <wzhang@softrobtech.com>  Tue, 13 Dec 2016 16:00:00 -0000

ros-indigo-roch-bringup (0.0.3-1trusty) trusty; urgency=high

  * Aupport Intel RealSensor 200
  * Contributors: Carl

 -- Carl <wzhang@softrobtech.com>  Thu, 01 Dec 2016 16:00:00 -0000

ros-indigo-roch-bringup (0.0.2-1trusty) trusty; urgency=high

  * Add laser_filters of lidar
  * Contributors: Carl

 -- Carl <wzhang@softrobtech.com>  Sun, 13 Nov 2016 16:00:00 -0000

ros-indigo-roch-bringup (0.0.1-1trusty) trusty; urgency=high

  * Catkinize package.
  * First cut of a new install script.
  * Contributors: Carl

 -- Carl <wzhang@softrobtech.com>  Mon, 12 Sep 2016 16:00:00 -0000

=== debian/control ===
Source: ros-indigo-roch-bringup
Section: misc
Priority: extra
Maintainer: Chen <gchen@soyrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslaunch, ros-indigo-rospy
Homepage: http://ros.org/wiki/roch_bringup
Standards-Version: 3.9.2

Package: ros-indigo-roch-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-scipy, ros-indigo-astra-launch, ros-indigo-depthimage-to-laserscan, ros-indigo-diagnostic-aggregator, ros-indigo-freenect-launch, ros-indigo-imu-filter-madgwick, ros-indigo-imu-transformer, ros-indigo-laser-filters, ros-indigo-lms1xx, ros-indigo-microstrain-3dmgx2-imu, ros-indigo-nmea-comms, ros-indigo-nodelet, ros-indigo-openni2-launch, ros-indigo-realsense-camera, ros-indigo-rgbd-launch, ros-indigo-robot-localization, ros-indigo-robot-state-publisher, ros-indigo-roch-base, ros-indigo-roch-control, ros-indigo-roch-description, ros-indigo-roch-safety-controller, ros-indigo-roch-sensorpc, ros-indigo-rocon-bubble-icons, ros-indigo-rosbridge-server, ros-indigo-rospy, ros-indigo-rplidar-ros, ros-indigo-tf, ros-indigo-tf2-ros, ros-indigo-zeroconf-avahi
Description: Soy roch installation and integration package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-roch-bringup//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
